#ifndef MAINWINDOW_H
#define MAINWINDOW_H

/*
    des: 主窗口
*/
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include "titlewidget.h"
class  MainWindow: public QWidget
{
    Q_OBJECT
public:
    MainWindow(QWidget * parent = NULL);
    virtual  ~MainWindow();

    void  init();
    void  initLay();
    bool  initConnect();
private slots:
     void slotBtn();
signals:
     void SigClicked(QString objName);
private:
    TitleWidget  m_titleWidget;
    //系统设置
    QPushButton m_btnSystemSetting;
    //脑电采集Electroencephalography
    QPushButton m_btnEEG;
    //数据处理Datarocessing
    QPushButton m_btnDataProcess;
    //河南翔宇医疗设备股份有限公司
    QLabel  m_CompanyDes;
};


#endif // MAINWINDOW_H
